on mouseDown
  global gMouseDownScript
  if gMouseDownScript = 1 then
    hEscapeDemo()
  end if
end

on hEscapeDemo
  cursor(4)
  hDecreaseSound(1, 0, 255)
  hIncreaseSound(2, 128, 255)
  puppetSound(1, 0)
  updateStage()
  set the volume of sound 1 to 255
  go("escape")
end

on hDecreaseSound pSoundChannel, pMinVolume, pMaxVolume
  if soundBusy(pSoundChannel) = 1 then
    repeat with i = pMaxVolume down to pMinVolume
      set the volume of sound pSoundChannel to i
      updateStage()
    end repeat
  end if
end

on hIncreaseSound pSoundChannel, pMinVolume, pMaxVolume
  repeat with i = pMinVolume to pMaxVolume
    set the volume of sound pSoundChannel to i
    updateStage()
  end repeat
end
